Subject: Re: files missing after converting a cvs repository to git

From: Michael Haggerty <[email-masked]>
Date: Tue, 07 Oct 2008 12:46:30 +0200

Jakub Narebski wrote:
> Andreas Ericsson wrote:
> 
>> cvs2svn is apparently quite good at getting even the weirdest history
>> right. Perhaps you can try that and then running "git svn" on the
>> resulting svn repo?
> 
> cvs2svn has git output now (I think it is actually fast-import output)

Correct.  See http://cvs2svn.tigris.org/cvs2git.html for more info.  I
suggest using the trunk version of cvs2svn for conversions to git.

Please note, however, that cvs2svn can only handle one-time conversions
(i.e., not tracking a live CVS repository incrementally).

Michael